分享WP资源
是件美好的事情

深度操作系统Deepin安装坚果云

腾讯云限时秒杀活动

手头上有一个几年前买的笔记本电脑,安装windows8.1,没开几个软件就卡卡的了,又没钱买新的,回老家没电脑上网太不舒服了,没车一族带个台式也太累人了!

既然没办法用windows,那就试试Linux吧。这些年一直在关注深度操作系统Deepin,然后就直接安装了。系统的安装过程还算顺利,做一个U盘启动盘,然后按照官方教程就安装好了。

既然是回家的时候用的,那常用的软件还是要安装齐全的。好在,很多软件都可以安装或替代方案。

坚果云是这些年一直使用的文件同步工具,到官方下载linux版的安装包安装是不能正常使用的,也不知道哪里出的问题,然后就只能编译安装。

坑还是很多的。不过最终还是顺利安装好了。下面就来记录一下,方便有需要的时候参考。

从源代码编译安装坚果云

可以使用系统自带的终端来执行命令。

1. 准备构建环境

坚果云Linux客户端依赖于这些包: glib2.0-dev, gtk2.0-dev, libnautilus-extension-dev, gvfs-bin.

用以下命令安装这些包:

sudo apt-get install libglib2.0-dev libgtk2.0-dev libnautilus-extension-dev gvfs-bin python-gi gir1.2-appindicator3-0.1

2. 通过下面的命令下载Nautilus插件源代码包: nutstore_linux_src_installer.tar.gz

wget https://www.jianguoyun.com/static/exe/installer/nutstore_linux_src_installer.tar.gz

3. 解压缩,编译和安装Nautilus插件(下面4个命令,每次执行一个)

tar zxf nutstore_linux_src_installer.tar.gz

cd nutstore_linux_src_installer && ./configure && make

sudo make install

sudo apt install nautilus

4. 重启Nautilus

nautilus -q

5. 运行以下命令,自动下载和安装坚果云其他二进制组件

./runtime_bootstrap

具体过程也可参考源代码包里面的README文件

为什么选择编译安装

这样安装完,才会有 ~/.nutstore 这个文件夹。通过软件包安装的没有。

解决打不开问题

按照上面的方法安装好以后,你可能还是无法运行坚果云。

1) 进入~/.nutstore/dist/bin,编辑nutstore-pydaemon.py,命令如下:

cd ~/.nutstore/dist/bin && vim nutstore-pydaemon.py

在该文件的开头第一行,会看到如下代码:

#!/usr/bin/env/ python3

将其改为,也就是删除后面的数字3:

#!/usr/bin/env/ python

2) 保存并退出后,输入命令 ./nutstore-pydaemon.py 运行nutstore-pydaemon.py,看出现的错误,我出现了

(a)Traceback (most recent call last):

File “./nutstore-pydaemon.py”, line 27, in <module>

gi.require_version(‘AppIndicator3’, ‘0.1’)

File “/usr/lib64/python2.7/site-packages/gi/init.py”, line 130, in require_version

raise ValueError(‘Namespace %s not available’ % namespace)

ValueError: Namespace AppIndicator3 not available

解决方法:安装AppIndicator3 命令如下:

sudo apt install gir1.2-appindicator3-0.1

然后会看到错误:

(b)Traceback (most recent call last):

  File "./nutstore-pydaemon.py", line 50, in <module>

    gi.require_version('Notify', '0.7')

  File "/usr/lib/python2.7/dist-packages/gi/__init__.py", line 129, in require_version

    raise ValueError('Namespace %s not available' % namespace)

ValueError: Namespace Notify not available

解决方法:安装Notify

sudo apt install gir1.2-notify-0.7

然后就可以正常运行坚果云了!

参考资料:

 打赏

您可以选择一种方式赞助本站

支付宝扫一扫赞助

微信钱包扫描赞助

未经允许不得转载:莲花不妖 » 深度操作系统Deepin安装坚果云
分享到: 生成海报

登录

忘记密码 ?

您也可以使用第三方帐号快捷登录